unit KsCommonReg;

interface

{$I KsCommonVer.inc}

uses
  Classes, SysUtils, {$IFDEF KS_DELPHI6} DesignIntf {$ELSE} DsgnIntf {$ENDIF};

procedure Register;

implementation {===============================================================}

uses KsForms, KsControls, KsItems, KsMenus, KsMenuDesigner, KsPanels, KsButtons,
  KsCheckBoxs, KsProgress, KsTrackBars, KsGroupBoxs, KsRangeBars, KsScrollBars,
  KsTabs, KsHints, KsMessages, KsListBoxs, KsSpeedButtons, KsSpinButtons,
  KsEdits, KsComboBoxs, KsLabels, KsControlBars, KsToolBars, KsGrids;

procedure Register;
begin
  RegisterClass(TKsCustomForm);
  RegisterClass(TKsCustomMenuBar);
  RegisterClass(TKsCustomPopupMenu);

  RegisterClass(TKsCustomPanel);
  RegisterClass(TKsCustomButton);
  RegisterClass(TKsCustomCheckBox);
  RegisterClass(TKsCustomRadioButton);
  RegisterClass(TKsCustomProgressBar);
  RegisterClass(TKsCustomTrackBar);
  RegisterClass(TKsCustomRangeBar);
  RegisterClass(TKsCustomGroupBox);
  RegisterClass(TKsCustomScrollBar);
  RegisterClass(TKsCustomTabControl);
  RegisterClass(TKsCustomHint);
  RegisterClass(TKsCustomMessage);
  RegisterClass(TKsCustomSpeedButton);
  RegisterClass(TKsCustomListBox);
  RegisterClass(TKsCustomSpinButton);
  RegisterClass(TKsCustomEdit);
  RegisterClass(TKsCustomComboBox);
  RegisterClass(TKsCustomLabel);
  RegisterClass(TKsCustomControlBar);
  RegisterClass(TKsCustomToolBar);
  RegisterClass(TKsCustomGrid);
  RegisterClass(TKsCustomDrawGrid);
  RegisterClass(TKsCustomStringGrid);

  RegisterNoIcon([TKsCustomItem]);
  RegisterNoIcon([TKsCustomTabSheet]);

  RegisterNoIcon([TKsSpeedDivider, TKsSpeedContainer]);

  RegisterPropertyEditor(TypeInfo(TKsCustomItem), nil, 'Items', TKsItemsPropertyEditor);
end;

end.

